# Uses of Class
org.apache.sysds.runtime.instructions.cp.ListObject

Packages that use ListObject
Package
Description
org.apache.sysds.api.jmlc
org.apache.sysds.runtime.controlprogram.context
org.apache.sysds.runtime.controlprogram.paramserv
org.apache.sysds.runtime.controlprogram.paramserv.rpc
org.apache.sysds.runtime.instructions.cp
org.apache.sysds.runtime.io
org.apache.sysds.runtime.util

## Uses of ListObject in org.apache.sysds.api.jmlc

Methods in org.apache.sysds.api.jmlc that return ListObject
Modifier and Type
Method
Description
`ListObject`
ResultVariables.`getListObject(String varname)`
Obtain the ListObject represented by the given output variable.

## Uses of ListObject in org.apache.sysds.runtime.controlprogram.context

Methods in org.apache.sysds.runtime.controlprogram.context that return ListObject
Modifier and Type
Method
Description
`ListObject`
ExecutionContext.`getListObject(String name)`
`ListObject`
ExecutionContext.`getListObject(CPOperand input)`

## Uses of ListObject in org.apache.sysds.runtime.controlprogram.paramserv

Methods in org.apache.sysds.runtime.controlprogram.paramserv that return ListObject
Modifier and Type
Method
Description
`static ListObject`
ParamservUtils.`accrueGradients(ListObject accGradients, ListObject gradients, boolean cleanup)`
Accumulate the given gradients into the accrued gradients
`static ListObject`
ParamservUtils.`accrueGradients(ListObject accGradients, ListObject gradients, boolean par, boolean cleanup)`
Accumulate the given gradients into the accrued gradients
`static ListObject`
ParamservUtils.`accrueModels(ListObject accModels, ListObject model, boolean cleanup)`
Accumulate the given models into the accrued accrueModels
`static ListObject`
ParamservUtils.`accrueModels(ListObject accModels, ListObject model, boolean par, boolean cleanup)`
Accumulate the given models into the accrued models
`static ListObject`
ParamservUtils.`copyList(ListObject lo, boolean cleanup)`
Deep copy the list object
`ListObject`
ParamServer.`getResult()`
`ListObject`
LocalParamServer.`pull(int workerID)`
`abstract ListObject`
ParamServer.`pull(int workerID)`
`ListObject`
SparkPSProxy.`pull(int workerID)`
Methods in org.apache.sysds.runtime.controlprogram.paramserv with parameters of type ListObject
Modifier and Type
Method
Description
`static ListObject`
ParamservUtils.`accrueGradients(ListObject accGradients, ListObject gradients, boolean cleanup)`
Accumulate the given gradients into the accrued gradients
`static ListObject`
ParamservUtils.`accrueGradients(ListObject accGradients, ListObject gradients, boolean par, boolean cleanup)`
Accumulate the given gradients into the accrued gradients
`static ListObject`
ParamservUtils.`accrueModels(ListObject accModels, ListObject model, boolean cleanup)`
Accumulate the given models into the accrued accrueModels
`static ListObject`
ParamservUtils.`accrueModels(ListObject accModels, ListObject model, boolean par, boolean cleanup)`
Accumulate the given models into the accrued models
`static void`
ParamservUtils.`cleanupListObject(ExecutionContext ec, ListObject lo)`
`static void`
ParamservUtils.`cleanupListObject(ExecutionContext ec, ListObject lo, boolean[] status)`
`static void`
ParamservUtils.`cleanupListObject(ListObject lo)`
`static ListObject`
ParamservUtils.`copyList(ListObject lo, boolean cleanup)`
Deep copy the list object
`static HEParamServer`
HEParamServer.`create(ListObject model, String aggFunc, Statement.PSUpdateType updateType, Statement.PSFrequency freq, ExecutionContext ec, int workerNum, String valFunc, int numBatchesPerEpoch, MatrixObject valFeatures, MatrixObject valLabels, int nbatches, int numBackupWorkers)`
`static LocalParamServer`
LocalParamServer.`create(ListObject model, String aggFunc, Statement.PSUpdateType updateType, Statement.PSFrequency freq, ExecutionContext ec, int workerNum, String valFunc, int numBatchesPerEpoch, MatrixObject valFeatures, MatrixObject valLabels, int nbatches, boolean modelAvg, int numBackupWorkers)`
`void`
HEParamServer.`push(int workerID, ListObject encrypted_model)`
`void`
LocalParamServer.`push(int workerID, ListObject gradients)`
`abstract void`
ParamServer.`push(int workerID, ListObject value)`
`void`
SparkPSProxy.`push(int workerID, ListObject value)`

## Uses of ListObject in org.apache.sysds.runtime.controlprogram.paramserv.rpc

Methods in org.apache.sysds.runtime.controlprogram.paramserv.rpc that return ListObject
Modifier and Type
Method
Description
`ListObject`
PSRpcCall.`getData()`
`ListObject`
PSRpcResponse.`getResultModel()`
Constructors in org.apache.sysds.runtime.controlprogram.paramserv.rpc with parameters of type ListObject
Modifier
Constructor
Description
``
`PSRpcCall(int method, int workerID, ListObject data)`

## Uses of ListObject in org.apache.sysds.runtime.instructions.cp

Methods in org.apache.sysds.runtime.instructions.cp that return ListObject
Modifier and Type
Method
Description
`ListObject`
ListObject.`add(String name, Data dat, LineageItem li)`
`ListObject`
ListObject.`add(Data dat, LineageItem li)`
`ListObject`
ListObject.`copy()`
`ListObject`
ListObject.`remove(int pos)`
Removes the element at the specified position from the list and returns that element as the only element in a new ListObject.
`ListObject`
ListObject.`set(int ix1, int ix2, ListObject data)`
`ListObject`
ListObject.`set(int ix, Data data)`
`ListObject`
ListObject.`set(int ix, Data data, LineageItem li)`
`ListObject`
ListObject.`set(String name1, String name2, ListObject data)`
`ListObject`
ListObject.`slice(int ix1, int ix2)`
`ListObject`
ListObject.`slice(String name1, String name2)`
Methods in org.apache.sysds.runtime.instructions.cp with parameters of type ListObject
Modifier and Type
Method
Description
`ListObject`
ListObject.`set(int ix1, int ix2, ListObject data)`
`ListObject`
ListObject.`set(String name1, String name2, ListObject data)`
Constructors in org.apache.sysds.runtime.instructions.cp with parameters of type ListObject
Modifier
Constructor
Description
``
`ListObject(ListObject that)`

## Uses of ListObject in org.apache.sysds.runtime.io

Methods in org.apache.sysds.runtime.io that return ListObject
Modifier and Type
Method
Description
`static ListObject`
ListReader.`readListFromHDFS(String fname, String fmtStr, FileFormatProperties props)`
Reads a list object and all contained objects from a folder with related meta data.
Methods in org.apache.sysds.runtime.io with parameters of type ListObject
Modifier and Type
Method
Description
`static void`
ListWriter.`writeListToHDFS(ListObject lo, String fname, String fmtStr, FileFormatProperties props)`
Writes a list object and all contained objects to a folder with related meta data.

## Uses of ListObject in org.apache.sysds.runtime.util

Methods in org.apache.sysds.runtime.util that return ListObject
Modifier and Type
Method
Description
`static ListObject`
AutoDiff.`getBackward(MatrixObject mo, ArrayList<Data> lineage, ExecutionContext adec)`
Methods in org.apache.sysds.runtime.util with parameters of type ListObject
Modifier and Type
Method
Description
`static String`
DataConverter.`toString(ListObject list, int rows, int cols, boolean sparse, String separator, String lineSeparator, int rowsToPrint, int colsToPrint, int decimal)`